<div class="register-wrapper" fxLayout="row" fxLayoutAlign="center center">
  <mat-card class="box">
      <mat-card-header>
          <mat-card-title>Registration Form</mat-card-title>
      </mat-card-header>

    <form class="form" [formGroup]="registerForm">
        <mat-card-content>
            <mat-form-field class="full-width">
              <input matInput placeholder="Mobile number" formControlName = "mobileNumber" [(ngModel)] = "model.mobileNumber" name = "id">
              <span matPrefix>+62</span>
              <mat-error *ngIf = "mobileNumber.errors?.required">
                Mobile number field can't be blank
              </mat-error>
              <mat-error *ngIf = "(mobileNumber.errors?.pattern) || (mobileNumber.errors?.minlength) || (mobileNumber.errors?.maxlength)">
                Please enter a valid mobile number
              </mat-error>
            </mat-form-field>

            <mat-form-field class="full-width">
                <input matInput placeholder="First name" formControlName = "firstName" [(ngModel)] = "model.firstName">
                <mat-error *ngIf = "firstName.errors?.required">
                    First name field can't be blank
                </mat-error>
                <mat-error *ngIf = "firstName.errors?.pattern">
                    Please enter a valid first name
                 </mat-error>
            </mat-form-field>

            <mat-form-field class="full-width">
                <input matInput placeholder="Last name" formControlName = "lastName" [(ngModel)] = "model.lastName">
                <mat-error *ngIf = "lastName.errors?.required">
                    Last name field can't be blank
                </mat-error>
                <mat-error *ngIf = "lastName.errors?.pattern">
                    Please enter a valid last name
                 </mat-error>
            </mat-form-field>

           <mat-form-field class="full-width">
                <mat-label>Date of Birth</mat-label>
                <input matInput [matDatepicker]="pickerDob" formControlName="dob" [(ngModel)] = "model.dob">
                <mat-datepicker-toggle matSuffix [for]="pickerDob"></mat-datepicker-toggle>
                <mat-datepicker #pickerDob></mat-datepicker>
                <mat-error *ngIf = "dob.errors">
                  Please choose valid date
                </mat-error>
            </mat-form-field>

            <mat-radio-group formControlName="gender" [(ngModel)] = "model.gender">
                <mat-radio-button value="Male" >Male</mat-radio-button>
                <mat-radio-button value="Female">Female</mat-radio-button>
            </mat-radio-group>

            <mat-form-field class="full-width">
                <input matInput placeholder="Email" formControlName = "email" [(ngModel)] = "model.email">
                <mat-error *ngIf = "email.errors?.required">
                    Email field can't be blank
                </mat-error>
                <mat-error *ngIf = "email.errors?.pattern">
                    Please enter a valid email address
                </mat-error>
            </mat-form-field>
      </mat-card-content>

      <mat-card-actions>
        <button type="submit" [disabled] = "!registerForm.valid" (click)="onFormSubmit()" mat-raised-button color="primary">register</button>
        <button mat-raised-button color="primary" [disabled]="disableLogin">login</button>
      </mat-card-actions>
    </form>
  </mat-card>
</div>
